# Interface methods for submodule: MorphologicalContourInterpolator
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: MorphologicalContourInterpolator
class MorphologicalContourInterpolatorProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetLabel(self, _arg: int) -> None:
		""""""
		...

	def GetLabel(self) -> int:
		""""""
		...

	def SetAxis(self, _arg: int) -> None:
		""""""
		...

	def GetAxis(self) -> int:
		""""""
		...

	def SetHeuristicAlignment(self, _arg: bool) -> None:
		""""""
		...

	def GetHeuristicAlignment(self) -> bool:
		""""""
		...

	def SetUseDistanceTransform(self, _arg: bool) -> None:
		""""""
		...

	def GetUseDistanceTransform(self) -> bool:
		""""""
		...

	def SetUseCustomSlicePositions(self, _arg: bool) -> None:
		""""""
		...

	def GetUseCustomSlicePositions(self) -> bool:
		""""""
		...

	def SetUseExtrapolation(self, _arg: bool) -> None:
		""""""
		...

	def SetUseBallStructuringElement(self, useBall: bool) -> None:
		""""""
		...

	def GetUseBallStructuringElement(self) -> bool:
		""""""
		...

	def DetermineSliceOrientations(self) -> None:
		""""""
		...

	def ClearLabeledSliceIndices(self) -> None:
		""""""
		...

	@overload
	def SetLabeledSliceIndices(self, axis: int, label: int, indices: Sequence[int]) -> None:
		""""""
		...

	@overload
	def SetLabeledSliceIndices(self, axis: int, label: int, indices) -> None:
		""""""
		...

	@overload
	def GetLabeledSliceIndices(self, axis: int, label: int):
		""""""
		...

	@overload
	def GetLabeledSliceIndices(self):
		""""""
		...

